%global pypi_name managesieve

Name:           python-%{pypi_name}
Version:        0.6
Release:        4%{?dist}
Summary:        Accessing a Sieve-Server for managing Sieve scripts
License:        Python and GPLv3
URL:            https://managesieve.readthedocs.io/
Source0:        %pypi_source
# Source1 may be removed in future, read https://gitlab.com/htgoebel/managesieve/-/issues/4
Source1:        LICENSE
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python36-pytest-runner

%description
This module allows accessing a Sieve-Server for managing Sieve scripts there.
It is accompanied by a simple yet functional user application ‘sieveshell’.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
This module allows accessing a Sieve-Server for managing Sieve scripts there.
It is accompanied by a simple yet functional user application ‘sieveshell’.


%prep
%autosetup -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%py3_build

%install
%py3_install

%check
%{python3} setup.py test

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.txt
%license LICENSE
%{_bindir}/sieveshell
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Nov 18 2020 Steve Traylen <steve.traylen@cern.ch> - 0.6-4
- Include LICENSE file
- Adapt to EPEL7

* Fri Nov 13 2020 Germano Massullo <germano.massullo@gmail.com> - 0.6-3
- rearranged %%check section
- added LICENSE file

* Wed Nov 11 2020 Steve Traylen <steve.traylen@cern.ch> - 0.6-2
- BR for pytest-runner for tests

* Thu Oct 29 2020 Steve Traylen <steve.traylen@cern.ch> - 0.6-1
- Initial release
